<?php
$default_settings = [
    'banner_image' => '',
    'banner_image2' => '',
    'banner_logo' => '',
    'banner_logo2' => '',
    'ct_animate' => '',
    'ct_animate2' => '',
    'ct_animate_delay' => '',
    'ct_animate_delay2' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings); ?>

<div class="ct-banner2">
	<?php if(!empty($banner_image['id'])) :
		$img = ct_get_image_by_size( array(
			'attach_id'  => $banner_image['id'],
			'thumb_size' => 'full',
		));
		$thumbnail = $img['thumbnail'];
		?>
		<div class="ct-banner-top <?php echo esc_attr($ct_animate); ?>" data-wow-delay="<?php echo esc_attr($settings['ct_animate_delay']); ?>ms">
			<div class="ct-banner-image">
				<?php echo wp_kses_post($thumbnail); ?>
			</div>
			<?php if(!empty($banner_logo['id'])) :
				$img_logo = ct_get_image_by_size( array(
					'attach_id'  => $banner_logo['id'],
					'thumb_size' => 'full',
				));
				$thumbnail_logo = $img_logo['thumbnail'];
				?>
				<div class="ct-banner-logo">
					<?php echo wp_kses_post($thumbnail_logo); ?>
				</div>
			<?php endif; ?>
		</div>
	<?php endif; ?>
	<?php if(!empty($banner_image['id'])) :
		$img2 = ct_get_image_by_size( array(
			'attach_id'  => $banner_image2['id'],
			'thumb_size' => 'full',
		));
		$thumbnail_bottom = $img2['thumbnail'];
		?>
		<div class="ct-banner-bottom <?php echo esc_attr($ct_animate2); ?>" data-wow-delay="<?php echo esc_attr($settings['ct_animate_delay2']); ?>ms">
			<div class="ct-banner-image">
				<?php echo wp_kses_post($thumbnail_bottom); ?>
			</div>
			<?php if(!empty($banner_logo2['id'])) :
				$img_logo2 = ct_get_image_by_size( array(
					'attach_id'  => $banner_logo2['id'],
					'thumb_size' => 'full',
				));
				$thumbnail_logo2 = $img_logo2['thumbnail'];
				?>
				<div class="ct-banner-logo">
					<?php echo wp_kses_post($thumbnail_logo2); ?>
				</div>
			<?php endif; ?>
		</div>
	<?php endif; ?>
</div>